#include scene_sessions24/util.glsl

vec2 segcirc_main(vec2 UV, float t) {
    float i_t = floor(t);
    float f_t = fract(t);

    float id = floor(length(UV*4.));

    float ang = t*TAU/((rand(id).x+1.0)*(id+1.));

    return UV*rot(ang);
}